Ignore:
Timestamp:
Feb 16, 2015, 12:13:08 PM (4 years ago)
Author:
cameron
Message:

Move to 1.0 numbering; eliminate LLVM3.4 support; -disable-Unicode-linebreak option

File:
1 edited

Legend:

Unmodified
Added
Removed
  • icGREP/icgrep-devel/icgrep/CMakeLists.txt

    r4480 r4508  
    55enable_testing()
    66# The version number.
    7 set (icgrep_VERSION_MAJOR 0)
    8 set (icgrep_VERSION_MINOR 8)
     7set (icgrep_VERSION_MAJOR 1)
     8set (icgrep_VERSION_MINOR 0)
    99
    1010option(BLOCK_SIZE_256 "Compiling with BLOCK_SIZE=256")
     
    244244
    245245# detect LLVM version and add compiler flags.
    246 if (${LLVM_PACKAGE_VERSION} MATCHES "3.4")
    247   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_LLVM_3_4")
    248 ELSEIF (${LLVM_PACKAGE_VERSION} MATCHES "3.5")
     246IF (${LLVM_PACKAGE_VERSION} MATCHES "3.5")
    249247  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_LLVM_3_5")
    250248ENDIF()
Note: See TracChangeset for help on using the changeset viewer.